Bug 1168973 - JTS participants are not showing up in the tooling
Summary: JTS participants are not showing up in the tooling
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: JBoss Enterprise Application Platform 6
Classification: JBoss
Component: Transaction Manager
Version: 6.4.0
Hardware: Unspecified
OS: Unspecified
unspecified
medium
Target Milestone: ER1
: EAP 6.4.0
Assignee: Michael
QA Contact: Hayk Hovsepyan
URL:
Whiteboard:
Depends On:
Blocks: 1176841
TreeView+ depends on / blocked
 
Reported: 2014-11-28 15:13 UTC by Hayk Hovsepyan
Modified: 2019-08-19 12:45 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: Enhancement
Doc Text:
This release of JBoss EAP 6 contains an enhancement to the Transaction Manger component. Previously, not all particpants were appearing in the log viewer. Now, the following types of participants will be shown: * AssumedCompleteHeuristicTransaction * AssumedCompleteHeuristicServerTransaction * AssumedCompleteTransaction * AssumedCompleteServerTransaction
Clone Of:
Environment:
Last Closed: 2019-08-19 12:45:43 UTC
Type: Bug


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
JBoss Issue Tracker JBTM-2308 Major Closed New JTS record types are not showing up in the tooling 2017-09-22 12:34:32 UTC
JBoss Issue Tracker WFLY-4164 Major Resolved New JTS record types are not showing up in the CLI 2017-09-22 12:34:32 UTC

Description Hayk Hovsepyan 2014-11-28 15:13:38 UTC
When a JTS transaction record has participants of type CosTransactions/XAResourceRecord which are in the same object store then the tooling should create MBeans to represent them as participants of the JTS record.

This BZ was raised while verifying https://bugzilla.redhat.com/show_bug.cgi?id=1080140 as tooling does not show participants of the JTS record.

Comment 1 Hayk Hovsepyan 2014-11-28 15:15:03 UTC
Created as a BZ representation of JBTM-2308

Comment 2 JBoss JIRA Server 2014-12-23 13:20:51 UTC
Michael Musgrove <mmusgrov@redhat.com> updated the status of jira JBTM-2308 to Reopened

Comment 3 JBoss JIRA Server 2014-12-23 14:07:50 UTC
Michael Musgrove <mmusgrov@redhat.com> updated the status of jira JBTM-2308 to Resolved

Comment 4 tom.jenkinson 2014-12-23 15:12:05 UTC
https://github.com/jbossas/jboss-eap/pull/2184

Comment 5 Hayk Hovsepyan 2015-01-12 16:02:45 UTC
Verified on revision EAP 6.4.0 ER1

Comment 6 JBoss JIRA Server 2015-05-01 13:37:15 UTC
Tom Jenkinson <tom.jenkinson@redhat.com> updated the status of jira JBTM-2308 to Closed

Comment 7 JBoss JIRA Server 2015-06-05 08:08:50 UTC
Michael Musgrove <mmusgrov@redhat.com> updated the status of jira JBTM-2308 to Reopened

Comment 8 JBoss JIRA Server 2015-06-09 13:19:41 UTC
Michael Musgrove <mmusgrov@redhat.com> updated the status of jira JBTM-2308 to Resolved

Comment 9 JBoss JIRA Server 2015-06-17 12:19:17 UTC
Michael Musgrove <mmusgrov@redhat.com> updated the status of jira JBTM-2308 to Reopened

Comment 10 JBoss JIRA Server 2015-06-23 09:49:26 UTC
Michael Musgrove <mmusgrov@redhat.com> updated the status of jira JBTM-2308 to Resolved

Comment 11 JBoss JIRA Server 2015-07-08 09:17:31 UTC
Tom Jenkinson <tom.jenkinson@redhat.com> updated the status of jira JBTM-2308 to Closed

Comment 12 JBoss JIRA Server 2015-07-13 07:03:15 UTC
Tom Jenkinson <tom.jenkinson@redhat.com> updated the status of jira WFLY-4164 to Resolved


Note You need to log in before you can comment on or make changes to this bug.